Subject: Re: bug#56635: 29.0.50; [PATCH] hide-show in python-mode supports ONLY function and class blocks

From: kobarity <[email-masked]>
Date: Wed, 17 Aug 2022 20:32:51 +0900

Lars Ingebrigtsen <[email-masked]> wrote:
> This led to test failures I didn't notice before pushing:
>
> 4 unexpected results:
>    FAILED  python-hideshow-hide-all-2
>    FAILED  python-hideshow-hide-block-1
>    FAILED  python-hideshow-hide-levels-1
>    FAILED  python-hideshow-hide-levels-2
>
> So I've now reverted the change.

Sorry for the confusion.  It depends on the patch for hideshow.el
(fix-56635-hideshow.patch) presented in:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56635#32

All tests should pass if both patches are applied.  However, I think
we can wait for feedbacks from Dima and (hopefully) others.

Best Regards,